include("doc\\DpDocList.js");
include("doc\\nakl\\DpNakl.js");
include("Objects\\DpNmkl.js");
include("sys\\kursval.js");
include("sys\\cbox.js");

var objDoc = extPar.doc;
var mFiscor;
var sCond = ru(" от "," від ");
var cor_id_doc = 0;
var sTmpTbl = getTmpTableName();
var objNaklvid = null;

function Load()
{
	Caption(extPar.doc.getCaption() + ": " + modeName(extPar.mode));

	if(!objDoc && typeof extPar != "undefined")
		objDoc = new DpDoc(extPar.Fdoc, extPar.Fnop);

	mFdoc  = "NV";

	objDoc.isBuf = true;

	nk = new DpNakl(objDoc, this);
	nk.rowsName = "RNV";
	nk.load();

	HDOC_NUM.mask  = MASK_DOCNUM;
	HCORNOM.mask  = MASK_DOCNUM;
	HSUM.mask = HSUM1.mask = HNDS.mask = HSNDS.mask = MASK_SUM;
	HSUM_20.mask = HSUM_00.mask = HSUM_A0.mask = HSUM_E0.mask = MASK_SUM;
	HKOL.mask = MASK_KOL;

	HACTIV.setMask("&");
	HFIL.setMask("&&&");
	
	var aOpForms = getPar("rgopfrms").split(",");
	for(var i=0; i < aOpForms.length; i++)
	{
		ComboBox_AddItem(HOP_FORM, aOpForms[i], aOpForms[i]);
	}
	HOP_FORM.setValue(aOpForms[0]);

	objPost = new DpCl();
	objPost.linkSmartCtrl(HPOST);
	objPost.setClcl(Number(getPar("CODMYORG")));
	objPost.setContAssist();

	objPlat = new DpCl();
	objPlat.linkSmartCtrl(HPLAT)
	objPlat.setClcl(Number(getPar("CODPLAT")));
	objPlat.setContAssist();

	objTReason = new DpCl("0");
	objTReason.setClcl(Number(getPar("CODNNPRICHINY")));
	objTReason.linkSmartCtrl(HTREASON)
	objTReason.setContAssist();

	objTContr = new DpCl("0", toScrObj(objDoc.getPar("_tcontract")), 0);
	objTContr.linkSmartCtrl(HTCONTR);
	objTContr.setContAssist();
	
	var modeContr = objDoc.getPar("_contract");
	switch (modeContr)
	{
		case 0:
			objTContr.setMode("");
			CONTR.setVisible(false);
			DOC.setVisible(false);
		break;
		case 1:
			HAND.setVisible(false);
			DOC.setVisible(false);
			Disable(HDCONTR);
			Disable(HNCONTR);
		break;
		case 2:
			objTContr.setMode("");
			CONTR.setVisible(false);
			Disable(HDCONTR);
			Disable(HNCONTR);
		break;
		default:
		
		break;
	}
	
	ctrlLinker = new DpCtrlLinker(objDoc);
	ctrlLinker.addLink("HNOM",	  HDOC_NUM);
	ctrlLinker.addLink("HDAT", 	  HDOC_DAT);
	ctrlLinker.addLink("HSNDS",	  HNDS);
	ctrlLinker.addLink("HSUM",	  HSUM);
	ctrlLinker.addLink("HKOL", 	  HKOL);
	ctrlLinker.addLink("HOP_FORM",HOP_FORM);
	ctrlLinker.addLink("HVID_DOC", HVID_DOC);
	ctrlLinker.addLink("HOPER_TYPE", HOPER_TYPE);
	ctrlLinker.addLink("HCOND",	  HCOND);
//	ctrlLinker.addLink("HNDS",	  HNDS_PROC);
	ctrlLinker.addLink("HISSPECIFYING", HISSPECIFYING);
	ctrlLinker.addLink("HCORNOM", HCORNOM);
	ctrlLinker.addLink("HCORDAT", HCORDAT);
	ctrlLinker.addLink("HERPN", HERPN);

	ctrlLinker.addLink("HSUM_20", HSUM_20);
	ctrlLinker.addLink("HSUM_00", HSUM_00);
	ctrlLinker.addLink("HSUM_A0", HSUM_A0);
	ctrlLinker.addLink("HSUM_E0", HSUM_E0);

	ctrlLinker.addLink("HACTIV", HACTIV);
	ctrlLinker.addLink("HFIL", HFIL);
	ctrlLinker.addLink("HNCONTR", HNCONTR);
	ctrlLinker.addLink("HDCONTR", HDCONTR);
	
	ctrlLinker.addLink("HCORACTIV", HCORACTIV);
	ctrlLinker.addLink("HCORFIL", HCORFIL);
	
	ctrlLinker.addClLink("HPOST", objPost);
	ctrlLinker.addClLink("HPLAT", objPlat);
	ctrlLinker.addClLink("HTREASON", objTReason);
	ctrlLinker.addClLink("HTCONTR", objTContr);

	ctrlLinker.updateData(false);
	
	if (extPar.mode == "ADD")
	{
		HCORNOM.setValue("");
		HCORDAT.setValue(d00);
		
		if(objTContr.getCod()==0)	//при создании связанного документа не проставлять
			objTContr.setCod(1);
	}

	objPost.setCod(Number(getPar("ORGNOM")));
	if (extPar.mode != "ADD")
	{
		objPost.setCod(objDoc.getVar("HPOST"));
		objPlat.setCod(objDoc.getVar("HPLAT"));
	}
	else
	{
		//HNDS_PROC.value = Number(extPar.doc.getPar("_ndsproc"));
	}
	/*
	if(objDoc.getVar("HISSPECIFYING") == true)
	{
		makeItems4DocType("U", mFdoc);
	}
	else
	{
		makeItems4DocType("", mFdoc);
	}
	
	HVID_DOC.setValue(getValue4Ctrl_Doc_type(objDoc.getVar("HVID_DOC")));
	*/
	//CORR.setVisible(inList(getValue4Doc_type(HVID_DOC.getValue()), "РК", "РКУ"));

	if(extPar.mode == "ADD")
	{
		if(extPar.fid_doc)
		{
			HDOC_DAT.value = extPar.fdate;
			//HNDS_PROC.value = Number(extPar.fnds_proc);

			objPlat.setCod(extPar.fplat);
			if(extPar.fpost)
			{
				objPost.setCod(extPar.fpost);
			}
			
			if(extPar.fcond)
			{
				HCOND.value = extPar.fcond;
			}
			
			objDoc.setVar("HID_DOC", extPar.fid_doc);
			objDoc.setVar("HBASEDOC", extPar.base_doc);
			objDoc.setVar("HBASENOP", extPar.base_nop);
			objDoc.setVar("HCOR_ID_DOC", 0);
			objDoc.setVar("HCORNOM", 0);
			objDoc.setVar("HCORDAT", d00);
			
			if(extPar.tblRows)
			{
				nk.loadFrom(extPar.tblRows);
				
				var sSum = extPar.fnds_proc == 0 ? "FSUM_20" : "FSUM_00";
				switch (extPar.base_doc)
				{
					case "NK":
					case "OT":
						var sCena = "FCENAPR";
					break;
					case "SF":
						var sCena = "F1CENA";
					break;				
					default:	
						var sCena = "FCENA";
					break;
				}
				
				var dec = Number(getPar("DECISUM"));
				strSQL = " UPDATE"
								+" "+nk.bufName
							+" SET"
								+" FCENA = "+sCena
								+", F1CENA = "+sCena
								+", "+sSum+" = "+sqlRound("FKOL * "+sCena, dec)
								+", FSUM = "+sqlRound("FKOL * "+sCena, dec)
				ExecuteSQL(strSQL);
			}
		}
		/*else if (extPar.isTransform == true)
		{
			var sum = toScrObj(objDoc.getVar("HSUM"));
			var nds = toScrObj(objDoc.getVar("HNDS"));
			
			var isRow = false;
			var txt = "";
			switch (toScrObj(extPar.sDoc))
			{
				case "BS":
					isRow = true;
					strSQL = " SELECT"
								+" FREM"
							+" FROM"
								+" ^LISTDOCSBS"
							+" WHERE 1 = 1"
								+" AND FWID = " + toScrObj(extPar.sNID)
					var a = getSnap(strSQL);
					if (!isEmpty(a) && !isEmpty(a[0]))
						txt = a[0];
					
					a = null;
				break;
				case "PV":
				case "PP":
					isRow = true;
					strSQL = " SELECT"
								+" FTOVAR"
							+" FROM"
								+" ^RAS_SCH"
							+" WHERE 1 = 1"
								+" AND FWID = " + toScrObj(extPar.sNID)
					var a = getSnap(strSQL);
					if (!isEmpty(a) && !isEmpty(a[0]))
						txt = a[0];
					
					a = null;
				break;
			}
			
			if (isRow)
			{
				var oRow = objDoc.createRow("ROW");
				
				oRow.setVar("RNOM", 1);
				oRow.setVar("RTXT", txt);
				oRow.setVar("RKOL", 1);
				oRow.setVar("ROCENA", sum);
				oRow.setVar("RCENA", sum);
				oRow.setVar("RSUM20", sum);
				oRow.setVar("RSUM", sum);
				oRow.setVar("RNDS", nds);
				
				objDoc.appendRow("ROW",oRow)
				obj2DB(oRow.getID(), oRow.jDocRow, null, nk.bufName);
			}
		}
		* строка создается в DpDocTransformer_fillDocVars
		*/
		var t = OpenTable(nk.bufName);
		for (t.MoveFirst(); !t.IsEOF(); t.MoveNext())
		{
			if (isEmpty(toScrObj(t.getValue("FTXT"))))
			{
				var txt = tfnmk("TXT", t.getValue("FNMKL"));
				
				t.Edit();
				t.setValue("FTXT", txt);
				t.Update();
			}
		}
		t.Close();
		t = null;
		
		grid.getTable().requery();
		grid.getTable().MoveFirst();
		grid.refresh();
	}

	Disable(HSUM);
	Disable(HSUM1);
	Disable(HSNDS);
	Disable(HKOL);
	Disable(HNDS);
	Disable(HSUM_20);
	Disable(HSUM_00);
	Disable(HSUM_A0);
	Disable(HSUM_E0);

	this.fillCond = fillCond;
	setButton(HCOND, this, "fillCond");
	this.recalcNds = recalcNds;
	this.selectDoc = selectDoc;
	setButton(HNDS, this, "recalcNds");
	setButton(HCORDOC, this, "selectDoc");
	//setValid(HNDS_PROC, recalcSumValid);
	
	setButton(HVID_DOC, this, "vidNaklZaval");
	if(extPar.mode=="ADD")
		HVID_DOC.value = "ПНП";
	
	setValid(HISSPECIFYING, HISSPECIFYING_valid);
	HISSPECIFYING_valid();
	setValid(HVID_DOC, HVID_DOC_valid);
	setValid(HCORDAT, HCORDAT_valid);
	HVID_DOC_valid();

	HNDS.getBtn().setToolTipText(ru("Пересчитать","Перерахувати"));
	HCORDOC.getBtn().setToolTipText(ru("Выбрать документ","Обрати документ"));

	recalcSum(true);

	this.initGrid = _initGrid;
	this.initGrid();
	this.listMenuInit = listMenuInit;
	this.onSelectRowMenu = onSelectRowMenu;
	
	if (extPar.mode == "EDIT")
	{
		cor_id_doc = objDoc.getVar("HCOR_ID_DOC");
		grid.setFocus();
	}
	else
	{
		setFocus(HDOC_NUM);
	}
}

function HISSPECIFYING_valid()
{
	/*
	//при перерисовке контрола убивается его значение поэтому нужно его запомнить
	var controlValue = (isEmpty(HVID_DOC.value) ? 1 : Number(HVID_DOC.value));
	for (;HVID_DOC.getLength()>0;)
	{
		HVID_DOC.remove(0);
	}

	//признак того что после перерисовки контрола будут другие значения
	var isRedraw = false;

	if(HISSPECIFYING.checked)
	{
		makeItems4DocType("U", mFdoc);
		if(controlValue < 100)
		{
			isRedraw = true;
		}
	}
	else
	{
		makeItems4DocType("", mFdoc);
		if(controlValue > 100)
		{
			isRedraw = true
		}
	}

	if(isRedraw)
	{
		controlValue = (controlValue > 100 ? controlValue - 100 : controlValue +100) ;
	}

	HVID_DOC.setValue(controlValue);
	*/
	
	var sVidDoc = String(HVID_DOC.value).trim().toUpperCase();
	if(sVidDoc.right(1)=="У")
		sVidDoc = sVidDoc.substring(0, sVidDoc.length-1);
	if(HISSPECIFYING.checked)
		sVidDoc += "У";
	HVID_DOC.setValue(sVidDoc);
	return true;
}

function recalcNds()
{
	recalcSum(true);
}

function recalcSumValid()
{
	recalcNds();
	recalcSum(false);
}

function recalcSum(inload)
{
	HKOL.value = 0;
	HSUM.value = 0;
	HSUM1.value = 0;
	HSNDS.value = 0;
	HNDS.value = 0;

	//nk.nds = Number(HNDS_PROC.value);
	//var sNds = nk.nds!=0? "nmk.FNDS/100" : "0";
	var m = new Object();
	m.ssum_20 = sqlRound("SUM(a.FSUM_20)", 3);
	m.ssum_00 = sqlRound("SUM(a.FSUM_00)", 3);
	m.ssum_A0 = sqlRound("SUM(a.FSUM_A0)", 3);
	m.ssum_E0 = sqlRound("SUM(a.FSUM_E0)", 3);
	m.ssum = sqlRound("SUM(a.FSUM)", 2);
	m.hnds = sqlRound("SUM(a.FSUM_20)*0.2", 2);
	m.kol = "SUM(" + IIF("FKOLCOR>0", "FKOLCOR", "FKOL") + ")"
	nk.wItog(m);

	HKOL.value = m.kol;
	HSUM.value = m.ssum;
	HSUM1.value = m.ssum;

	if (typeOf(inload)=="boolean" && inload===true)
	{
		
		calcNDS = round((Number(HSUM.value) + Number(HNDS.value))*nk.nds/(100+nk.nds),2);
		
		// Если расчетная сумма НДС совпадает с той, которая установлена - ничего не меняем
		// Это сделано из-за ошибок округления, из-за которых на копейку может сбиться правильный НДС
		if ( calcNDS != Number(HNDS.value)) 
			HNDS.value = m.hnds;
	}
	
	HSNDS.value = Number(HSUM.value) + Number(HNDS.value);

	objDoc.setVar("HNR",	 m.hNr);
	HSUM_20.value = m.ssum_20;
	HSUM_00.value = m.ssum_00;
	HSUM_A0.value = m.ssum_A0;
	HSUM_E0.value = m.ssum_E0;
}

function updateData()
{
	ctrlLinker.updateData(true);
	objDoc.setVar("HPOST", objPost.getCod());
	objDoc.setVar("HPLAT", objPlat.getCod());
	objDoc.setVar("HCOR_ID_DOC", cor_id_doc);
}

function onSave()
{
	updateData();
	nk.saveRows();

	linkDoc();
}

function linkDoc()
{
	if(!extPar.fid_doc || extPar.mode=="EDIT")
		return;

	var m = new Object();
	m.Fdoc = objDoc.getVar("HDOC");
	m.Fnop = objDoc.getVar("HOP");
	m.Fdoc1 = extPar.base_doc;
	m.Fnop1 = extPar.base_nop;
	m.Fid_doc = objDoc.getID();
	m.Fid_doc1 = extPar.fid_doc;
	m.Ftxt = ru("Создать полученную налоговую накладную", "Створити отриману податкову накладну");
	m.Fwid = GetUID();

	var oSnap = getSnap("select FWID from ^CL_LINKDOC "
			+" where Fdoc="+ sqlTo(m.Fdoc)
				+" and Fnop="+ sqlTo(m.Fnop)
				+" and Fdoc1="+ sqlTo(m.Fdoc1)
				+" and Fnop1="+ sqlTo(m.Fnop1))
	if(!oSnap)
		UpdateTable("^cl_linkdoc", m);

	var mm = new Object();
	mm.FMAINWID = m.Fid_doc;
	mm.FDOCWID = m.Fid_doc1;
	mm.Fdoc = m.Fdoc1;
	mm.Fnop = m.Fnop1;
	mm.FISPARENT = true;
	mm.FWID = GetUID();
	updateTable("^doc_links", mm, true);

	var mm = new Object();
	mm.FMAINWID = m.Fid_doc1;
	mm.FDOCWID = m.Fid_doc;
	mm.Fdoc = m.Fdoc;
	mm.Fnop = m.Fnop;
	mm.FISPARENT = false;
	mm.FWID = GetUID();
	updateTable("^doc_links", mm, true);
}

function fillCond()
{
	var sCond = ru("№ ","№ ");
	var sCond1 = ru(" від "," від ");
	var par = new Object();
	par.doc = objDoc.getPar("_dogdoc");
	par.nop = 0;
	par.FORG = objPlat.getCod();
	par.ret = new Object();
	par.ret.Fdoc_num = null;
	par.ret.Fdoc_dat = null;
	par.ret.Fdog_num = null;
	par.ret.Fdoc = null;
	showWindow("l_docekz.xml", SW_MODAL, par);
	if(!par.escape)
	{
		if(par.ret.Fdoc == "DOG_CL")
			HNCONTR.value = par.ret.Fdog_num;			
		else
			HNCONTR.value = par.ret.Fdoc_num;
		
		HCOND.value = sCond + HNCONTR.value + sCond1 + StrDat(par.ret.Fdoc_dat, "DMY");
		
		HDCONTR.value = par.ret.Fdoc_dat;
	}
}

function selectDoc()
{
	var par = new Object();
	par.doc = "NV";
	par.nop = 0;
	par.FORG = objPlat.getCod();
	par.ret = new Object();
	par.ret.fwid = null;
	par.ret.Fdoc_num = null;
	par.ret.Fdoc_dat = null;
	par.ret.Factiv = null;
	par.ret.Ffil = null;
	showWindow("l_docekz.xml", SW_MODAL, par);
	if(!par.escape)
	{
		strSQL = " SELECT COUNT(*) FROM " + nk.bufName
		var sn = getSnap(strSQL);
		if (sn != null && sn[0] != null && sn[0] > 0)
		{
			var bCont = confirm(ru("В текущем документе уже имеется "+sn[0]+" строк(и)!\n"
									+"Хотите их удалить и заменить строками корректируемого документа?",
								   "В поточному документі вже існують "+sn[0]+" строк(и)!\n"
									+"Бажаєте видалити їх та замінити строками коректуємого документу?"));
			if (!bCont)
			{
				//return;
			}
		}
		else
		{
			bCont = true;
		}

		if (bCont)
		{
			// удалим строки
			strSQL = " DELETE FROM " + nk.bufName
			ExecuteSQL(strSQL);

			var tmpTblName = getTmpTableName();
			strSQL = " SELECT * "
					+" INTO " + tmpTblName
					+" FROM ^RNV "
					+" WHERE FID_DOC = " + sqlTo(par.ret.fwid)
			ExecuteSQL(strSQL);

			strSQL = " SELECT * FROM " + tmpTblName
			var tmpTbl = OpenTable("s", strSQL);
			
			for (; !tmpTbl.IsEOF(); tmpTbl.MoveNext())
			{
				tmpTbl.Edit();
				mFwid = GetUID();
				tmpTbl.setValue("FWID", mFwid);
				tmpTbl.setValue("FID_DOC", objDoc.getID());
				tmpTbl.setValue("F1cena", tmpTbl.getValue("FCENA"))
				tmpTbl.Update();
			}
			tmpTbl.Close();
			
			nk.loadFrom(tmpTblName);
			
			// пересчитаем строкам суммы
			strSQL = " UPDATE " + nk.bufName
					+" SET FSUM = FKOL*FCENACOR + FCENA*FKOLCOR "
			ExecuteSQL(strSQL);

			grid.getTable().requery();
			grid.getTable().MoveFirst();
			grid.refresh();

			recalcSum(true);
		}

		ctrlLinker.updateData(true);
		
		cor_id_doc = par.ret.fwid;
		objDoc.setVar("HCOR_ID_DOC", par.ret.fwid);
		objDoc.setVar("HCORNOM", par.ret.Fdoc_num);
		objDoc.setVar("HCORDAT", par.ret.Fdoc_dat);
		objDoc.setVar("HCORACTIV", par.ret.Factiv);
		objDoc.setVar("HCORFIL", par.ret.Ffil);
		
		objDoc.setVar("HPLAT", objPlat.getCod());
		objDoc.setVar("FISCORDOC", true);
		
		ctrlLinker.updateData(false);

	}
}

function listMenuInit()
{
	grid.AddMenuItem("ADD","Додавання | Добавление");
	if (!grid.getTable().isEmpty())
	{
		grid.AddMenuItem("EDIT","Редагування | Редактирование");
		grid.AddMenuItem("COPY","Копіювання | Копирование");
		grid.AddMenuItem("DEL","Видалення | Удаление");
	}
}

function onSelectRowMenu(sID)
{
	if(sID == "DEL")
	{
		var msg = ru("Подтвердите удаление записи", "Підтвердіть вилучення запису");
		var ret = msgBox("^c-", msg, ru("Подтверждение удаления","Підтвердження вилучення"));
		switch(ret)
		{
			case 'c':
				break;
			case '-':
				extPar.doc.deleteRow("ROW", Number(grid.getTable().getRowID()));
				grid.getTable().Delete();
				recalcSum();
				recalcNds();
				grid.getTable().requery();
				grid.refresh();
			break;
		}
	}
	else if(sID=="ADD" || sID=="EDIT" || sID=="COPY")
	{
		var oDocRow;
		if(sID == "ADD")
		{
			oDocRow = extPar.doc.createRow("ROW");

			var oSnap = getSnap("SELECT MAX(FNOM_STR) AS NOM FROM " + nk.bufName);
			var nNom = 1;
			if (oSnap && oSnap[0])
			{
				nNom = Number(oSnap[0]) + 1;
			}
			oDocRow.setVar("RNOM",nNom)
		}
		else if(sID == "EDIT")
		{
			oDocRow = extPar.doc.getRow("ROW",Number(grid.getTable().getRowID()));
		}
		else if(sID == "COPY")
		{
			oDocRow = extPar.doc.copyRow("ROW", Number(grid.getTable().getRowID()));
		}
		
		var par = new Object()

		par.FISCOR = isCorrectVid();
		par.FISCORDOC = objDoc.getVar("FISCORDOC");
		par.cod_reason = objDoc.getPar("_reason");
		
		var bOK = oDocRow.edit(sID, par)
		if (bOK)
		{
			if(inList(sID,"ADD","COPY"))
				extPar.doc.appendRow("ROW",oDocRow)

			obj2DB(oDocRow.getID(),oDocRow.jDocRow,null,nk.bufName);
			recalcSum();
			recalcNds();
			grid.getTable().requery();
			grid.refresh();
		}
	}
}

function _initGrid()
{
	/*
	rtbl = OpenTable("m","select * from " + nk.bufName + " order by fnom_str");
	rtbl.tie("cl_nmk","nmk","fwid","Fnmkl");
	rtbl.tie("cl_edi","edi1","cod","nmk.Fcedib");
	rtbl.tie("cl_edi","edi2","cod","nmk.Fedi1");
	*/
	grid.loadMenuHandler(this,"listMenuInit");
	grid.selectMenuHandler(this,"onSelectRowMenu");
}

function HCORDAT_valid()
{
	var isCoreg = isCorrectVid();
	if (isCoreg && isEmpty(HCORDAT.getValue()))
	{
		WAIT(ru("Введите дату корректируемого документа", "Введіть дату документа, який коригується"));
		return false;
	}
	return true;
}

function HVID_DOC_valid()
{
	isCoreg = isCorrectVid();
	CORR.setVisible(isCoreg);

	if(!isCoreg && isSaving())
	{
		// если это не корректировка, то сбросим значения контролов корректировки
		HCORNOM.setValue("");
		HCORDAT.setValue(d00);

		// и обнулить нужные значения в строках
		strSQL = "UPDATE "+nk.bufName
				+" SET Fcenacor = 0, Fkolcor = 0, FCODREM = 0"
		ExecuteSQL(strSQL);
	}
	HISSPECIFYING_valid();
	return true;
}

function isCorrectVid()
{
	return String(HVID_DOC.value).trim().toUpperCase().left(2)=="РК";
}

/*выпадающий список "Вид документа" для документа NV*/
var comboDOC_TYPE_NV = new Array();
comboDOC_TYPE_NV[1] = new Array("ПН", UR("ПН - податкова накладна|ПН - налоговая накладная"));
comboDOC_TYPE_NV[2] = new Array("ПНП", UR(" ПНП - податкова накладна (паперовий варіант)| ПНП - налоговая накладная (печатный вариант)"));
comboDOC_TYPE_NV[3] = new Array("ПНЕ", UR(" ПНЕ - податкова накладна (електронний варіант)| ПНЕ - налоговая накладная (электронный вариант)"));
comboDOC_TYPE_NV[4] = new Array("ВМД", UR("ВМД - вантажно митна декларація|ВМД - погрузочно таможенная декларация"));
comboDOC_TYPE_NV[5] = new Array("МДП", UR(" МДП - митна декларація (паперовий варіант)| МДП - таможенная декларация (печатный вариант)"));
comboDOC_TYPE_NV[6] = new Array("МДЕ", UR(" МДЕ - митна декларація (електронний варіант)| МДЕ - таможенная декларация (электронный вариант)"));
comboDOC_TYPE_NV[7] = new Array("БО", UR("БО - документ бухгалтерського обліку|БО - документ бухгалтерского учета"));
comboDOC_TYPE_NV[8] = new Array("РК", UR("РК - розрахунок коригування|РК - расчет корректировки"));
comboDOC_TYPE_NV[9] = new Array("РКП", UR(" РКП - розрахунок коригування (паперовий варіант)| РКП - расчет корректировки (печатный вариант)"));
comboDOC_TYPE_NV[10] = new Array("РКЕ", UR(" РКЕ - розрахунок коригування (електронний варіант)| РКЕ - расчет корректировки (электронный вариант)"));


/*такие же с буквой У для "Уточнюючої"*/
comboDOC_TYPE_NV[101] = new Array("ПНУ", UR("ПНУ - податкова накладна|ПНУ - налоговая накладная"));
comboDOC_TYPE_NV[102] = new Array("ПНПУ", UR("ПНПУ - податкова накладна (паперовий варіант)|ПНПУ - налоговая накладная (печатный вариант)"));
comboDOC_TYPE_NV[103] = new Array("ПНЕУ", UR("ПНЕУ - податкова накладна (електронний варіант)|ПНЕУ - налоговая накладная (электронный вариант)"));
comboDOC_TYPE_NV[104] = new Array("ВДМУ", UR("ВДМУ - вантажно митна декларація|ВДМУ - погрузочно таможенная декларация"));
comboDOC_TYPE_NV[105] = new Array("МДПУ", UR("МДПУ - вантажно митна декларація (паперовий варіант)|МДПУ - погрузочно таможенная декларация (печатный вариант)"));
comboDOC_TYPE_NV[106] = new Array("МДЕУ", UR("МДЕУ - вантажно митна декларація (електронний варіант)|МДЕУ - погрузочно таможенная декларация (электронный вариант)"));
comboDOC_TYPE_NV[107] = new Array("БОУ", UR("БОУ - документ бухгалтерського обліку|БОУ - документ бухгалтерского учета"));
comboDOC_TYPE_NV[108] = new Array("РКУ", UR("РКУ - розрахунок коригування|РКУ - расчет корректировки"));
comboDOC_TYPE_NV[109] = new Array("РКПУ", UR("РКПУ - розрахунок коригування (паперовий варіант)|РКПУ - расчет корректировки (печатный вариант)"));
comboDOC_TYPE_NV[110] = new Array("РКЕУ", UR("РКЕУ - розрахунок коригування (електронний варіант)|РКЕУ - расчет корректировки (электронный вариант)"));

//считает длину масива
//потому как для нашего масива метод length возвращает 106 вместо 10
function getArrLenght(arr)
{
	var k=0;
	for(i in arr)
	{
		k++;
	}
	return k;
}

//формирует cpmboBox для HVID_DOC
function makeItems4DocType(mode)
{
	var k=1;
	var i = 0;
	switch (mode)
	{
		case "U":
			//начинаем с 101
			i = 101;
			break;

		default:
			//начинаем с 1
			i = 1;
			break;
	}

	arr = comboDOC_TYPE_NV;

	var arrLength = getArrLenght(arr);
	while(k <= arrLength/2)
	{
		if(!arr[i])
			break;
		ComboBox_AddItem(HVID_DOC, arr[i][1], i);
		k++;
		i++;
	}

	return true;
}

//возвращает текстовку по коду для поля HVID_DOC
function getValue4Doc_type(cod)
{
	var retVal = "";
	arr = comboDOC_TYPE_NV;
	cod = parseInt(cod, 10);
	for(i in arr)
	{
		if(i == cod)
		{
			retVal = arr[i][0];
			break;
		}
	}
	return retVal;
}

function getValue4Ctrl_Doc_type(val)
{
	var retVal = 1;
	arr = comboDOC_TYPE_NV;
	for(i in arr)
	{
		if(arr[i][0] == val)
		{
			retVal = i;
			break;
		}
	}
	return parseInt(retVal, 10);
}
include("sys\\DpBaseDlg.js");